package com.galaxis.manatee.controller;

import com.galaxis.manatee.service.ChuanyunService;
import com.galaxis.manatee.task.ChuanyunHumanResourceScheduledTask;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 提供手工触发更新氚云数据的接口
 * @author zcj
 * @version 0.1
 * @date 2020/6/7 10:26 上午
 */
@RestController
public class GetController {

    private final ChuanyunHumanResourceScheduledTask chuanyunHumanResourceScheduledTask;
    private final ChuanyunService chuanyunService;

    public GetController(ChuanyunHumanResourceScheduledTask chuanyunHumanResourceScheduledTask, ChuanyunService chuanyunService) {
        this.chuanyunHumanResourceScheduledTask = chuanyunHumanResourceScheduledTask;
        this.chuanyunService = chuanyunService;
    }

    /**
     * 手动更新chuanyunPayRoll
     * @return  提示信息
     */
    @GetMapping("/test/getChuanyunPayroll")
    public String getChuanyunPayroll(){
        chuanyunHumanResourceScheduledTask.getPayrollManually();
        return "开始更新薪资数据";
    }

    /**
     * 手动更新日志
     * @return
     */
    @GetMapping("/test/getUpdateLog")
    public String getUpdateLog() {
        chuanyunHumanResourceScheduledTask.getUpdateLog();
        return "开始更新日志";
    }

    /**
     * 手动更新项目组成员
     * @return
     */
    @GetMapping("/test/getProjectMember")
    public String getProjectMember() {
        chuanyunService.updateProjectMember();
        return "开始更新项目组成员";
    }


}
